// Switch5

#include "device_io.h"
#include "propeller.h"
#include <stdio.h>

void main (int argc,  char* argv[])
{   
	int basePin = 0;
	int i;
	int state;
	int current;
	int change;

	int mask = 0x0000001f << basePin;
   int xormask = 0xffffff1f << basePin; 
	INA &= ~mask;
	
	state = INA & mask;

	for(;;)
	{
	   current = INA & mask;	               
      change = current ^ state;   
      if (change)	
		{	
	  		state = current;
			for(i = 0; i < 5; i++)
	  	 	{
		  	 	if (!(BitRead(INA, i)))
				{
					switch(i)
					{
						case 0:
							printf("Right\r\n");
							break;
						case 1:
							printf("Down\r\n");
							break;
						case 2:
							printf("Left\r\n");
							break;
						case 3:
							printf("Center\r\n");
							break;	
						case 4:
							printf("Up\r\n");
							break;			
					}
				}
			}
	   }
		waitcnt(CLKFREQ/2000 + CNT);
	}
}
