// Trackball

#include "device_io.h"
#include "propeller.h"
#include <stdio.h>

void main (int argc,  char* argv[])
{   
	int basePin = 0;
	int i;
	int state;
	int current;
	int change;
	int mask = 0x0000001f << basePin;
   int xormask = 0xffffff1f << basePin;
  	int ledPin;
	int ledDelay = 0;

	ledPin = basePin + 5;
	
	state = INA & mask;

	for(;;)
	{
	   current = INA & mask;	               
      change = current ^ state;   
		if (ledDelay > 100)
		{
			Out(ledPin, HIGH);
			ledDelay--;
			if (ledDelay < 0)
			{
				ledDelay = 0;
			}
		}
		else
		{
			Out(ledPin, LOW);
		}
      if (change)	
		{	
	  		state = current;
			ledDelay = 3500; 
			Delay(2000);
			for(i = 0; i < 5; i++)
	  	 	{
		  	 	if (In(i) == 0)
				{
					switch(i)
					{
						case 0:
							printf("Right\r\n");
							break;
						case 1:
							printf("Down\r\n");
							break;
						case 2:
							printf("Left\r\n");
							break;
						case 3:
							printf("Center\r\n");
							break;	
						case 4:
							printf("Up\r\n");
							break; 			
					}
				}
			}
	   }
	}
}
